curl --request POST \
--url https://eu.phrase.com/styleguide/api/v1/styleguides/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "guide",
"languages": [
"<string>"
],
"lastModifiedFrom": "2024-01-01T00:00:00Z",
"lastModifiedTo": "2024-12-31T23:59:59Z",
"isDefault": true,
"lastModifiedBy": [
"<string>"
],
"description": "branding",
"sortBy": "name",
"sortDirection": "ASC",
"pageNumber": 0,
"pageSize": 20
}
'import requests
url = "https://eu.phrase.com/styleguide/api/v1/styleguides/search"
payload = {
"name": "guide",
"languages": ["<string>"],
"lastModifiedFrom": "2024-01-01T00:00:00Z",
"lastModifiedTo": "2024-12-31T23:59:59Z",
"isDefault": True,
"lastModifiedBy": ["<string>"],
"description": "branding",
"sortBy": "name",
"sortDirection": "ASC",
"pageNumber": 0,
"pageSize": 20
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'guide',
languages: ['<string>'],
lastModifiedFrom: '2024-01-01T00:00:00Z',
lastModifiedTo: '2024-12-31T23:59:59Z',
isDefault: true,
lastModifiedBy: ['<string>'],
description: 'branding',
sortBy: 'name',
sortDirection: 'ASC',
pageNumber: 0,
pageSize: 20
})
};
fetch('https://eu.phrase.com/styleguide/api/v1/styleguides/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": [
{
"id": "018e1234-5678-7890-abcd-ef1234567890",
"name": "English Style Guide",
"description": "Style guide for English content",
"language": {
"bcpCode": "en-GB",
"description": "English (United Kingdom)",
"language": "cs",
"region": "gb",
"script": "LATN"
},
"isDefault": false,
"createdBy": {
"id": "0015oCjtouINgRCDIvQtjo",
"username": "john.doe",
"fullName": "John Doe",
"email": "john.doe@example.com",
"avatarUrl": "https://example.com/avatars/john-doe.png"
},
"lastModifiedBy": {
"id": "0015oCjtouINgRCDIvQtjo",
"username": "john.doe",
"fullName": "John Doe",
"email": "john.doe@example.com",
"avatarUrl": "https://example.com/avatars/john-doe.png"
},
"contentGroup": {
"id": "my-content-group"
},
"createdAt": "2024-01-15T10:30:00Z",
"lastModifiedAt": "2024-01-15T10:30:00Z"
}
],
"totalElements": 123,
"totalPages": 123,
"pageNumber": 123,
"pageSize": 123,
"numberOfElements": 123
}{
"code": "<string>",
"message": "<string>",
"detail": "<string>"
}{
"code": "<string>",
"message": "<string>",
"detail": "<string>"
}{
"code": "<string>",
"message": "<string>",
"detail": "<string>"
}List Style Guides
Returns a paginated list of Style Guides. Filter by name, language, last-modified range, or last-modified user; sort by name, language, or last-modified date.
Authorizations
JWT from IDM (Authorization: Bearer )
Body
Request parameters for listing Style Guides
Search filter for Style Guide name (case-insensitive partial match)
"guide"
Filter by languages (multi-valued). Each language must be a supported Style Guide language (e.g., en, en-GB)
1Filter by last modified date - from (inclusive)
"2024-01-01T00:00:00Z"
Filter by last modified date - to (inclusive)
"2024-12-31T23:59:59Z"
Filter by default status
true
Filter by last modified by user IDs (multi-valued)
Search filter for Style Guide description (case-insensitive partial match)
"branding"
Sort field: name, language, or lastModifiedAt
name, language, lastModifiedAt "name"
Sort direction: ASC or DESC
ASC, DESC "ASC"
Page number (0-indexed)
x >= 00
Page size
1 <= x <= 10020
Response
Style Guides retrieved successfully
Paginated list of Style Guide summaries
Show child attributes
Show child attributes
Total number of elements matching the query (filtered count)
Total number of pages
Current page number (0-indexed)
Page size
Number of elements in the current page
Was this page helpful?